Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIAO::Dynamic_Component_Servant_Base Class Reference

`#include <Dynamic_Component_Servant_Base.h>`

Inheritance diagram for CIAO::Dynamic_Component_Servant_Base:

[legend]
Collaboration diagram for CIAO::Dynamic_Component_Servant_Base:

[legend]
List of all members.

## Public Member Functions
| Dynamic_Component_Servant_Base (void)
| Dynamic_Component_Servant_Base (Session_Container *c)
virtual | ~Dynamic_Component_Servant_Base (void)
virtual PortableServer::Servant | create (PortableServer::ObjectId &oid ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0
virtual void | destroy (PortableServer::ObjectId &oid)=0
virtual void | update_destroy_count ()=0
## Protected Attributes
Session_Container * | container_

## Constructor & Destructor Documentation

CIAO::Dynamic_Component_Servant_Base::Dynamic_Component_Servant_Base | ( | void |  | ) |

| Todo: Not to be used, no idea why this should be public, have to check this

CIAO::Dynamic_Component_Servant_Base::Dynamic_Component_Servant_Base | ( | Session_Container * | c | ) | `[explicit]`

CIAO::Dynamic_Component_Servant_Base::~Dynamic_Component_Servant_Base | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual PortableServer::Servant CIAO::Dynamic_Component_Servant_Base::create | ( | PortableServer::ObjectId &oid | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[pure virtual]`

| Implemented in CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP >.

virtual void CIAO::Dynamic_Component_Servant_Base::destroy | ( | PortableServer::ObjectId & | oid | ) | `[pure virtual]`

| Implemented in CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP >.

virtual void CIAO::Dynamic_Component_Servant_Base::update_destroy_count | ( |  | ) | `[pure virtual]`

| Implemented in CIAO::Dynamic_Component_Servant< COMP_SVNT, COMP_EXEC, COMP_EXEC_VAR, EXEC, EXEC_VAR, COMP >.

## Member Data Documentation

Session_Container* CIAO::Dynamic_Component_Servant_Base::container_`[protected]`

The documentation for this class was generated from the following files:

- Dynamic_Component_Servant_Base.h
- Dynamic_Component_Servant_Base.cpp